//
//  Perforce_ServerConfig.h
//  Perforce Server
//
//  Created by Mike Ashmore on 3/3/10.
//  Copyright 2010 Mike Ashmore. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Perforce_ServerConfig : NSUserDefaultsController {
	AuthorizationRef auth;
    IBOutlet NSUserDefaultsController *defaultsController;
    NSString *p4rootPath;
    NSString *p4logPath;
    NSNumber *p4port;
}

- (void) startServer;
- (void) stopServer;
- (NSDictionary *) launchdPrefList;
- (BOOL) isRunning;

@property (retain) NSString *p4rootPath;
@property (retain) NSString *p4logPath;
@property (retain) NSNumber *p4port;
@end
