//
//  Perforce_ServerPref.h
//  Perforce Server
//
//  Created by Mike Ashmore on 3/3/10.
//  Copyright (c) 2010 Mike Ashmore. All rights reserved.
//

#import <PreferencePanes/PreferencePanes.h>
#import "Perforce_ServerConfig.h";

@interface Perforce_ServerPref : NSPreferencePane 
{
    IBOutlet NSButton *startOrStopButton;
    NSString *buttonText;
    NSString *statusText;
    NSString *p4rootText;
    NSString *p4logText;
    NSString *p4portText;
    IBOutlet Perforce_ServerConfig *serverConfig;
}

- (void) mainViewDidLoad;
- (void) updatePanelStatus;
- (IBAction) startOrStopButtonPressed:(id)sender;

@property(retain) NSString *buttonText;
@property(retain) NSString *statusText;
@property(retain) NSString *p4rootText;
@property(retain) NSString *p4logText;
@property(retain) NSString *p4portText;
@property(retain) Perforce_ServerConfig *serverConfig;

@end
