//
//  Perforce_ServerPref.m
//  Perforce Server
//
//  Created by Mike Ashmore on 3/3/10.
//  Copyright (c) 2010 Mike Ashmore. All rights reserved.
//

#import "Perforce_ServerPref.h"

@implementation Perforce_ServerPref
@synthesize buttonText, statusText, serverConfig, p4rootText, p4logText, p4portText;

- (void) mainViewDidLoad
{
    self.updatePanelStatus;
    self.p4rootText = [@"P4ROOT is presently " stringByAppendingString:[serverConfig p4rootPath]];
    self.p4logText = [@"P4LOG is presently " stringByAppendingString:[serverConfig p4logPath]];
    self.p4portText = [@"P4PORT is presently " stringByAppendingString:[[serverConfig p4port] stringValue]];
}

- (IBAction) startOrStopButtonPressed:(id)sender
{
    if ([serverConfig isRunning]) {
        [serverConfig stopServer];
    } else {
        [serverConfig startServer];
    }        
    self.updatePanelStatus;
}

- (void) updatePanelStatus
{
    BOOL running;

    running = [serverConfig isRunning];
    
    if (running) {
        self.buttonText = @"Stop Perforce Server";
        self.statusText = @"P4D is running";
    } else {
        self.buttonText = @"Start Perforce Server";
        self.statusText = @"P4D is stopped";
    };
}



@end
